bitmap_allocator.h File Reference

Go to the source code of this file.

## Classes

class | __gnu_cxx::__detail::__mini_vector< _Tp >
class | __gnu_cxx::__detail::_Bitmap_counter< _Tp >
class | __gnu_cxx::__detail::_Ffit_finder< _Tp >
class | __gnu_cxx::bitmap_allocator< _Tp >
class | __gnu_cxx::free_list

## Namespaces

namespace | __gnu_cxx
namespace | __gnu_cxx::__detail

## Macros

#define | _BALLOC_ALIGN_BYTES

## Enumerations

enum | { bits_per_byte , bits_per_block }

## Functions

void | __gnu_cxx::__detail::__bit_allocate (std::size_t *__pbmap, std::size_t __pos) throw ()
void | __gnu_cxx::__detail::__bit_free (std::size_t *__pbmap, std::size_t __pos) throw ()
template<typename _ForwardIterator, typename _Tp, typename _Compare>
_ForwardIterator | __gnu_cxx::__detail::__lower_bound (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__val, _Compare __comp)
template<typename _AddrPair>
std::size_t | __gnu_cxx::__detail::__num_bitmaps (_AddrPair __ap)
template<typename _AddrPair>
std::size_t | __gnu_cxx::__detail::__num_blocks (_AddrPair __ap)
std::size_t | __gnu_cxx::_Bit_scan_forward (std::size_t __num)
template<typename _Tp1, typename _Tp2>
bool | __gnu_cxx::operator!= (const bitmap_allocator< _Tp1 > &, const bitmap_allocator< _Tp2 > &) throw ()
template<typename _Tp1, typename _Tp2>
bool | __gnu_cxx::operator== (const bitmap_allocator< _Tp1 > &, const bitmap_allocator< _Tp2 > &) throw ()

## Variables

template<typename _Tp>
std::size_t | __gnu_cxx::bitmap_allocator< _Tp >::_S_block_size
template<typename _Tp>
bitmap_allocator< _Tp >::_BPVector::size_type | __gnu_cxx::bitmap_allocator< _Tp >::_S_last_dealloc_index
template<typename _Tp>
bitmap_allocator< _Tp >::_BPVector | __gnu_cxx::bitmap_allocator< _Tp >::_S_mem_blocks
template<typename _Tp>
bitmap_allocator< _Tp >::__mutex_type | __gnu_cxx::bitmap_allocator< _Tp >::_S_mut

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file bitmap_allocator.h.

## Macro Definition Documentation

## _BALLOC_ALIGN_BYTES

#define _BALLOC_ALIGN_BYTES

The constant in the expression below is the alignment required in bytes.

Definition at line 43 of file bitmap_allocator.h.